using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Entity.Topic;
using Datory;

namespace GxPress.Repository.Interface
{
   public interface ITopicAddresseeRepository:IRepository
   {

       Task<int> InsertAsync(TopicAddressee request);

       Task<IEnumerable<TopicAddressee>> GetAllAsync(SqlKata.Query query);

       Task<bool> DeleteAsync(SqlKata.Query query);

       Task<bool> UpdateAsync(SqlKata.Query query);
         /// <summary>
        /// 添加话题收件人
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> InsertAsync(IEnumerable<TopicAddressee> request);
         /// <summary>
        /// 根据topicId删除
        /// </summary>
        /// <param name="topicId"></param>
        /// <returns></returns>
         Task<bool> DeletByTopicIdAsync(int topicId);
   }
}
